DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# Crop

Remove the outer parts of an image

## SYNOPSIS

`#include "dip_manipulation.h"`

dip_Error dip_Crop ( in, out, origin, size )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

Crop a part of the image. The requested part is selected by specifying its upper left corner (`origin` ), and its size (`size` ). If `in` has a different type than `out`, it will be converted to the type of `out`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input Image
`dip_Image` | `out` | Output Image
`dip_IntegerArray` | `origin` | Coordinate in `in` of the upper left corner of the section
`dip_IntegerArray` | `size` | Size of the new image

## SEE ALSO

`GetSlice`, `GetLine`

DIPlib on-line documentation | Function reference | Global function index